Arch SectionPlane.png Arch SectionPlane

Menu location
Arch -> Section Plane
Workbenches
Arch
Default shortcut
S P
See also
None


Description

This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo take his placement according to the current Draft Working Plane and can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider a certain set of objects. Objects that are selected when you create a Section Plane will be added to that set automatically. Other objects can later be added or removed from a SectionPlane object with the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view.

The Section Plane alone won't create any view of its objects set. For that, you must either create a Drawing DraftView to create a view on a Drawing page, a Draft Shape2DView to create a view in the 3D document itself, or a TechDraw ArchView to create a view in a TechDraw page.

Arch SectionPlane example.jpg

How to use

  1. Optionally, set the Draft Working Plane to reflect the plane where you want to place the Section Plane
  2. Select objects you want to be included in your section view
  3. Press the Arch SectionPlane.png SectionPlane button or press S then P keys
  4. Move/rotate the Section Plane into correct position if needed
  5. Select the Section Plane if not selected already
  6. Use either Drawing DraftView, Draft Shape2DView or TechDraw ArchView to create a view

Options

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

Arch Section example2.jpg

Arch Section example3.jpg

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Arch SectionPlane CutView.jpg

Properties

  • DATAOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • VIEWDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWCut View: If this is true, the whole 3D view will be cut at the location of this section plane (experimental).

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist]) 
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall]) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎svenska • ‎українська